# maxStalenessSeconds=0 is prohibited.
---
topology_description:
  type: ReplicaSetWithPrimary
  servers:
  - &1
    address: a:27017
    type: RSPrimary
    avg_rtt_ms: 5
    lastUpdateTime: 0
    maxWireVersion: 5
    lastWrite: {lastWriteDate: {$numberLong: "2"}}
  - &2
    address: b:27017
    type: RSSecondary
    avg_rtt_ms: 5
    lastUpdateTime: 0
    maxWireVersion: 4  # Incompatible.
    lastWrite: {lastWriteDate: {$numberLong: "1"}}
read_preference:
  mode: Nearest
  maxStalenessSeconds: 0
error: true
